! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! procedure EXTStatImage.prg
!
! To run it: @@ EXTStatImage EFOSC_Image.fits
! Caveat: it expects a fits file with a name similar to the above
!         it knows about pix. scale of EFOSC
! 
!# who        when      what
!# ---------- --------  ---------------------------------------------
!# pleisy     980814  created
!# ebarrios   991213  Klaus Banse modification implemented
!# kbanse     100104  implement checks of results
!# kbanse     100407  last modif
! ---------------------------------------------------------------
!# 
!#   SYNOPSIS
!#   @@ EXTStatImage imagename
!# 
!#   DESCRIPTION
!#   Compute cuts for the last acquired image
!#    
!#------------------------------------------------------------------------
!#
define/par P1 ? I	"Frame name :"

write/out " "
write/out "image: {P1} "
write/out " "

define/local name/C/1/60	{P1}
define/local x/r/1/4		0,0,{{P1},START(1)},{{P1},NPIX(1)}
define/local y/r/1/4		0,0,{{P1},START(2)},{{P1},NPIX(2)}
define/local level/r/1/2 0

 x(1) = {x(3)} + 0.45 * {x(4)}
 x(2) = {x(3)} + 0.55 * {x(4)}
 y(1) = {y(3)} + 0.45 * {y(4)}
 y(2) = {y(3)} + 0.55 * {y(4)}

set/format F5.0
write/out " "
write/out "Make a statistic over the region [{x(1)},{y(1)}:{x(2)},{y(2)}]"
write/out " "
set/format F9.3

statistics/image {P1} [{x(1)},{y(1)}:{x(2)},{y(2)}] 1 0,65000 FF  >Null
write/keyw rcorr  1067,1260,1161.14,27.9741,0.00632168,3.10014,3.13971e+06,1165.97,1241.43,1024,63.6631,1241.43
@@ kcompare stat010:rcorr outputr 1,2 0.0001
@@ kcompare stat011:rcorr outputr 3,3 0.005
@@ kcompare stat012:rcorr outputr 4,4 0.0005
@@ kcompare stat013:rcorr outputr 5,6 0.00001
@@ kcompare stat014:rcorr outputr 8,8 0.005
@@ kcompare stat015:rcorr outputr 9,9 0.001
@@ kcompare stat016:rcorr outputr 10,12 0.0005

level(1) = {OUTPUTR(8)} - 6*{OUTPUTR(4)} + 0.5
level(2) = {OUTPUTR(8)} + 6*{OUTPUTR(4)} + 0.5
stat/ima {P1} [{x(1)},{y(1)}:{x(2)},{y(2)}] 1 {level(1)},{level(2)} FF >Null
level(1) = {OUTPUTR(8)}-{OUTPUTR(4)}/2
level(2) = {OUTPUTR(8)}+5*{OUTPUTR(4)}

outputr(1) = {level(1)}
outputr(2) = {level(2)}
! ****************************
! output for Templates
! ****************************
write/out "***************************************"
write/out "Low Cut = {outputr(1)}
write/out "High Cut = {outputr(2)}
write/out "***************************************"
write/keyw rcorr 1147.505,1301.362
@@ kcompare stat020:rcorr outputr 1,2 0.002

! return
show/chan

write/keyw icorr 0,101,101,515,515,2,2,2,2
@@ kcompare stat030:icorr idimemi 2,9

