! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! verification procedure verifyEFOSC.prg
!
! K. Banse      ESO - Garching
!
!.VERSION
! 950314        creation        P. Le Saux
! 100512        last modif
!
! ---------------------------------------------------------------
!
write/out
write/out "========================================================"
write/out "|                                                      |"
write/out "|              verifyEFOSC.prg  [OLD/NEW]              |"
write/out "| this verification contains tests related to EFOSC    |"
write/out "|              for seeing                              |"
write/out "|              for observations                        |"
write/out "|              for technical setup                     |"
write/out "|                                                      |"
write/out "| as well as the ccd test used with FEROS              |"
write/out "|                                                      |"
write/out "========================================================"
write/out
!
define/param P1 "OLD" C*3 ! Verification mode (NEW compiler, OLD compiler)
write/key    mid$verif/C/1/3 {P1}
!
@@ VerifySetup
wait/sec 1		!so people can read the text above
!
! these procedures use a lot of local keys...
set/midas keywords=400,800
! 
write/out
write/out "--------------------------------------------------------"
write/out "|                @@ EFOSCseeingtest                    |"
write/out "--------------------------------------------------------"
write/out
wait/sec 1
!
if ididev(1) .lt. 0 reset/display
 
@@ EFOSCseeingtest
if errsum .gt. 0 then
   set/midas output=red
   write/out ****** verification procedure EFOSCseeingtest failed!
   goto bad_end
endif
!
write/out
write/out "-----------------------------------------------------"
write/out "|                @@ EFOSCobstest                    |"
write/out "-----------------------------------------------------"
write/out
wait/sec 1
!
reset/display
@@ EFOSCobstest
if errsum .gt. 0 then
   set/midas output=red
   write/out ****** verification procedure EFOSCobstest failed!
   goto bad_end
endif
write/out
write/out "--------------------------------------------------------"
write/out "|                @@ EFOSCtectest                       |"
write/out "--------------------------------------------------------"
write/out
wait/sec 1
!
reset/display
@@ EFOSCtectest
if errsum .gt. 0 then
   set/midas output=red
   write/out ****** verification procedure EFOSCtectest failed!
   goto bad_end
endif
!
! convert the TEC images for FEROS from FITS to bdf
! using Midas catalogs
indisk/fits fits-in.cat bdf-out.cat
indisk/fits Std_norm_60_20100316T122104_avcol.fits Std_norm_avcol
indisk/fits Std_norm_60_20100316T122104_avrow.fits Std_norm_avrow
! 
write/out
write/out "--------------------------------------------------------"
write/out "|                @@ ccd_standard_test  (FEROS)         |"
write/out "--------------------------------------------------------"
write/out
wait/sec 1
@@ ccd_standard_test 60 20100316T122104 FEROS_IMG_TEC_ norm 28 25
if errsum .gt. 0 then
   set/midas output=red
   write/out ****** verification procedure ccd_standard_test procedure failed!
   goto bad_end
endif
!
set/midas output=blue
write/out
write/out "========================================================="
write/out "|                                                       |"
write/out "| procedure verifyEFOSC.prg terminated successfully ... |"
write/out "|                                                       |"
write/out "========================================================="
write/out
set/midas output=default
return

bad_end:
write/out
write/out "========================================================="
write/out "|                                                       |"
write/out "| procedure verifyEFOSC.prg failed ...                  |"
write/out "|                                                       |"
write/out "========================================================="
write/out
! 
return/exit



